CollapsiveGroupBox Class Reference

A collapsive QGroupBox. More...

`#include <CollapsiveGroupBox.h>`

Inheritance diagram for CollapsiveGroupBox:

## Public Slots

void | setCollapsed (bool collapsed=true)
void | setExpanded (bool expanded=true)

## Public Member Functions

| CollapsiveGroupBox (const QString &title=QString(), QWidget *parent=0)
| Constructor. More...

## Detailed Description

A collapsive QGroupBox.

## Constructor & Destructor Documentation

## CollapsiveGroupBox()

CollapsiveGroupBox::CollapsiveGroupBox | ( | const QString & | title = `QString()`,
|  | QWidget * | parent = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget (only affects placement of the widget)

References setExpanded().

## Member Function Documentation

## setCollapsed

void CollapsiveGroupBox::setCollapsed | ( | bool | collapsed = `true` | ) |

slot

## setExpanded

void CollapsiveGroupBox::setExpanded | ( | bool | expanded = `true` | ) |

slot

Referenced by CollapsiveGroupBox().

The documentation for this class was generated from the following files:

- qtiplot/src/lib/include/CollapsiveGroupBox.h
- qtiplot/src/lib/src/CollapsiveGroupBox.cpp